<script>
import { addDocuments } from '../utils/db';
import {curRoute} from '../router';

function handleSubmit(event) {
  let book = {
    title: event.target.title.value,
    author: event.target.author.value,
    price: event.target.price.value,
    url: event.target.url.value
  }

  addDocuments(book);

  curRoute.set("/");
  window.history.pushState({path: "/"}, '', window.location.origin + "/");
  
}

</script>

<main class="flex flex-col items-center">
<h1 class="text-3xl mb-4">Add</h1>

<form action="" method="POST" class="w-full max-w-lg bg-white p-6" on:submit|preventDefault={handleSubmit}>
  <div class="flex flex-wrap -mx-3 mb-6">
    <div class="w-full md:w-1/2 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="title">
        Title
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:border-gray-500 focus:bg-white" id="title" type="text" placeholder="Harry Potter">
    </div>
    <div class="w-full md:w-1/2 px-3">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="author">
        Author
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="author" type="text" placeholder="J. K. Rowling">
    </div>
  </div>
  <div class="flex flex-wrap -mx-3 mb-2">
    <div class="w-full md:w-1/3 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="price">
        Price
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="price" type="number" placeholder="13" step="0.01">
    </div>
    <div class="w-full md:w-2/3 px-3 mb-6 md:mb-0">
      <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="url">
       URL 
      </label>
      <input class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="url" type="url" placeholder="https://www.amazon.fr/1984-George-Orwell-ebook/dp/B00D5XNXQ2">
    </div>
  </div>
  <button class="mt-6 bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline" type="submit">
    Add book
  </button>
</form>
</main>